<template as="div">
    <div :class="{ 'hidden': !modelValue }"
        class="overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 md:inset-0 h-modal md:h-full w-full flex justify-center items-center bg-black bg-opacity-50">
        <div class="relative p-4 w-full max-w-6xl h-full md:h-auto " :class="classes">
            <div class="relative bg-white rounded-[20px] shadow">
                <slot></slot>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    name: 'VModal',
    props: {
        modelValue: {
            type: Boolean,
            default: false,
        },
        classes: {
            type: String,
            default: ""
        }
    },
    computed: {
        dialog: {
            get() {
                return this.modelValue;
            },
            set(val) {
                this.$emit('update:modelValue', val);
            },
        },
    },
    emits: ['update:modelValue']

}
</script>
